Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 51965 - glpng-1.45.ebuild (New Package)
Summary: glpng-1.45.ebuild (New Package)
Status: VERIFIED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Default Assignee for New Packages
URL:
Whiteboard:
Keywords: EBUILD
Depends on:
Blocks:
 
Reported: 2004-05-24 20:11 UTC by Rob Smith
Modified: 2008-12-02 16:56 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
glpng-1.45.ebuild (New Ebuild) (glpng-1.45.ebuild,547 bytes, text/plain)
2004-05-24 20:13 UTC, Rob Smith
Details
New glpng ebuild (glpng-1.45.ebuild,668 bytes, application/octet-stream)
2005-09-27 13:11 UTC, Rob Smith
Details
glpng-1.4.5.ebuild (glpng-1.45.ebuild,759 bytes, text/plain)
2006-06-23 19:20 UTC, Samuli Suominen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rob Smith 2004-05-24 20:11:55 UTC
Hi!

This is a utility library that loads PNG graphics files and bind them to an OpenGL texture, with one simple function call. It's a simple ebuild so not much was needed :)

Thanks

Reproducible: Always
Steps to Reproduce:
1.
2.
3.
Comment 1 Rob Smith 2004-05-24 20:13:27 UTC
Created attachment 31976 [details]
glpng-1.45.ebuild (New Ebuild)

I'd recommend dev-libs/glpng as the location of the ebuild
Comment 2 Rob Smith 2004-12-20 16:59:30 UTC
Almost 7 months and no word if this will be accepted or not?

Thanks
Comment 3 Robert Schuster 2005-03-04 18:43:41 UTC
Works for me on x86. Although the lib is getting old some newer software uses it (-> hponline.sf.net).
Comment 4 Jakub Moc (RETIRED) gentoo-dev 2005-07-27 16:38:18 UTC
Re-assign a stale bug.
Comment 5 Ciaran McCreesh 2005-09-13 18:46:24 UTC
Sorry, we can't include this without a fixed header:

* http://dev.gentoo.org/~ciaranm/docs/mw-faq/header.txt

Please attach a fixed ebuild, reopen and I'll give further QA feedback.
Comment 6 Rob Smith 2005-09-27 13:10:41 UTC
Attaching the ebuild with the correct header
Comment 7 Rob Smith 2005-09-27 13:11:32 UTC
Created attachment 69372 [details]
New glpng ebuild
Comment 8 Samuli Suominen gentoo-dev 2006-06-23 19:20:32 UTC
Created attachment 89972 [details]
glpng-1.4.5.ebuild

Took a liberty to clean up your ebuild outlook and make it respect CFLAGS.

Anyway, are you still intrested of this ebuild?
Comment 9 Samuli Suominen gentoo-dev 2006-06-23 19:32:18 UTC
SRC_URI still needs smthing like ${PN} and quoting might be incorrect. Allthough, this library seems dead by upstream.. last release was in 2000. So, is anyone still intrested.. or is this one of the bugs that should be closed due inactivity?
Comment 10 Jakub Moc (RETIRED) gentoo-dev 2006-06-24 01:06:44 UTC
Uhm, really there's nothing for portage here as upstream is dead.

Thanks, closing.
Comment 11 Tupone Alfredo gentoo-dev 2008-12-02 16:56:07 UTC
glpng is now in the tree